QGIS Application - Feature request #16828
Multi-attribute search should support embedded forms/relations
2017-07-10 01:00 PM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Forms

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 24727
Description

Multi-attribute search (Ctrl-F) only support search/filters in one table.

It would be very useful to also support filters in related/nested sub-forms.

E.g. for two tables, table A (countries) and table B (cities) which have a common key (e.g. the country code), one should be able to filter
countries that have relations to cities with more than 2 million population.

History

#1 - 2017-10-23 11:11 AM - Andreas Neumann
- Assignee set to Matthias Kuhn

#2 - 2019-03-28 11:56 AM - Andreas Neumann
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Is implemented in recent QGIS versions.
